Bug 39079 - Open-Tray detection broken in ide-cd.c
Summary: Open-Tray detection broken in ide-cd.c
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-04 10:25 UTC by Enrico Scholz
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 07:29:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-05-04 10:25:59 UTC
Current kernel does not detect an open tray on some(/most) IDE-drives. For
details see

http://boudicca.tux.org/hypermail/linux-kernel/2001week08/0076.html

Comment 1 Arjan van de Ven 2001-05-21 09:56:18 UTC
Our RAWHIDE kernel should have a more recent ide-cd where this is fixed.

Comment 2 Enrico Scholz 2001-05-24 21:25:53 UTC
Currently I have not a machine available where I can test the rawhide-kernel,
but the the source (drivers/ide/ide-cd.c:2405-2415) *looks* like the issue is
still existing.

It should be reproducible when doing this:
1. take a machine with a (cheap) ide-cdrom drive
2. load the cdrom module with `autoclose=1' param (default)
3. open tray
4. execute `mount /mnt/cdrom'

The tray _should_ be closed now; but because kernel relies on special features
(Fuji) it fails with 'no disc' on kernel 2.4.

Comment 3 Enrico Scholz 2001-07-16 07:17:56 UTC
verified with beta1 kernel

Comment 4 Enrico Scholz 2001-08-06 07:28:52 UTC
still in beta3

Comment 5 Enrico Scholz 2002-02-22 16:26:14 UTC
Fixed both in vanilla kernel and rawhide kernel-2.4.17-*


Note You need to log in before you can comment on or make changes to this bug.